Retrieve a list of segments.
curl --request GET \
--url https://api.topsort.com/public/v1/segment-service/segments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/segment-service/segments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/segment-service/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"segments": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"total": 123,
"config": {
"type": "user-list"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Segments Service
Retrieve a list of segments.
Retrieve a list of segments.
vendor_id is the vendor’s external id. When it is set, the list
contains global segments and segments associated with that vendor.
GET
/
public
/
v1
/
segment-service
/
segments
Retrieve a list of segments.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
External vendor ID. When set, returns global segments and segments associated with this vendor.
Minimum string length:
1Response
Successful Response
List of segments.
Show child attributes
Show child attributes
Was this page helpful?